#ifndef TEST_ASWM_CREATE_WINDOWS
#define TEST_ASWM_CREATE_WINDOWS

#include <time.h>

#include "aswm/aswm.h"
#include "../test_set_up.h"

extern clock_t USER_DELAY;

XColor red(float intensity);
XColor blue(float intensity);

Window parent(Display* display, Window window);
int wait_visibility(Display* display, Window window);
void wait_array_visibility(Display* display, int N, Window* windows, int* visibilities);

void create_single_resizeable_top_level_window(void);
void create_multiple_resizeable_top_level_window(void);
void create_single_fixed_size_top_level_window(void);
void create_multiple_fixed_size_top_level_window(void);
void create_single_fixed_size_top_level_window_on_top_of_resizeable_windows(void);
void create_multiple_fixed_size_top_level_window_on_top_of_resizeable_windows(void);

#endif
